<?php

function api_send($login, $pass,$module,$subdo, $params = array(), $ip=NULL,$keyauth=NULL,$decode=1){
    if(!isset($ip)) {
        $ip=$_SERVER['SERVER_ADDR'];
    }
    //print_r($ip);die();
    if(isset($params["secure"])){
        $secure=intval($params["secure"]);
    }else{
        $secure=0;
    }
    if($secure==1) {
        $url = "https://$ip:8000/api/api.php"; # URL to Brainy API file goes here
    }else{
        $url = "http://$ip:8002/api/api.php"; # URL to Brainy API file goes here
    }

    $postfields = array_merge($params, array
    (
        'login' => $login,
        'pass' => $pass,
        'module' => $module,
        'subdo' => $subdo,
        'keyauth' => $keyauth,
        'ip' => $ip,
    ));





    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 150);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 150);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfields));
    if((isset($params['htpasswdauth'])) && ($params['htpasswdauth']==1)){
        curl_setopt($ch, CURLOPT_USERPWD, $params["htpasswd_login"] . ":" . $params["htpasswd_pass"]);
    }
    //curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data_post);
    //curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    //curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);

    //curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));

    global $_BRAINY_LANG;
    $jsondata = curl_exec($ch);
    if (curl_error($ch)) return("Connection Error: " . curl_errno($ch) . ' - ' . curl_error($ch));
    $httpdCode=curl_getinfo($ch)['http_code'];
    curl_close($ch);
    if($httpdCode==401){
        $jsondata=[];
        $jsondata['code']=999999;
        $jsondata['message']=$_BRAINY_LANG['apiCode401'];
        $jsondata=json_encode($jsondata,1);
    }
    if($httpdCode==403){
        $jsondata=[];
        $jsondata['code']=999999;
        $jsondata['message']=$_BRAINY_LANG['apiCode403'];
        $jsondata=json_encode($jsondata,1);
    }
    if(($httpdCode!=200) && ($httpdCode!=401) && ($httpdCode!=403)){
        $jsondata=[];
        $jsondata['code']=999999;
        $jsondata['message']=$_BRAINY_LANG['apiCodeXXX'];
        $jsondata=json_encode($jsondata,1);
    }



    //print_r($jsondata);die();



    //return $jsondata; # Decode JSON String
    if($decode==1) {
        return json_decode($jsondata, TRUE); # Decode JSON String
    }else{
        return $jsondata;
    }
}


?>