<link href="modules/servers/brainy/css/client.css" rel="stylesheet">
<div class="row">
    <div class="col-md-6">
        <div class="panel panel-default" id="brainyPackagePanel">
            <div class="panel-heading">
                <h3 class="panel-title">{$LANG.cPanel.packageDomain}</h3>
            </div>
            <div class="panel-body text-center">

                <div class="brainy-package-details">
                    <em>{$groupname}</em>
                    <h4 style="margin:0;">{$product}</h4>
                    <a href="http://{$domain}" target="_blank">www.{$domain}</a>
                </div>

                <p>
                    <a href="http://{$domain}" class="btn btn-default btn-sm" target="_blank">{$LANG.visitwebsite}</a>
                    {if $domainId}
                        <a href="clientarea.php?action=domaindetails&id={$domainId}" class="btn btn-success btn-sm" target="_blank">{$LANG.managedomain}</a>
                    {/if}
                    <input type="button" onclick="popupWindow('whois.php?domain={$domain}','whois',650,420);return false;" value="{$LANG.whoisinfo}" class="btn btn-info btn-sm" />
{if $systemStatus == 'Active'}
                    <form action="http{if $moduleParams.serversecure}s{/if}://{$moduleParams.serverhostname}:{$moduleParams.serverport}/auth.php" method="post" target="_blank" style="display:inline">
                        <input type="hidden" name="login" value="{$moduleParams.username}" />
                        <input type="hidden" name="password" value="{$moduleParams.password}" />
                        <input type="submit" value="Войти в панель Brainy" class="btn btn-default btn-sm btnBrainy"/>
                    </form>
{/if}
                </p>

            </div>
        </div>
    </div>


        {if $availableAddonProducts}
    <div class="col-md-6">
            <div class="panel panel-default" id="brainyExtrasPurchasePanel">
                <div class="panel-heading">
                    <h3 class="panel-title">{$LANG.cPanel.addonsExtras}</h3>
                </div>
                <div class="panel-body text-center">

                    <form method="post" action="cart.php?a=add" class="form-inline">
                        <input type="hidden" name="serviceid" value="{$serviceid}" />
                        <select name="aid" class="form-control input-sm">
                        {foreach $availableAddonProducts as $addonId => $addonName}
                            <option value="{$addonId}">{$addonName}</option>
                        {/foreach}
                        </select>
                        <button type="submit" class="btn btn-default btn-sm">
                            <i class="fa fa-shopping-cart"></i>
                            {$LANG.cPanel.purchaseActivate}
                        </button>
                    </form>

                </div>
            </div>
        {/if}

    </div>
{*
    <div class="col-md-6">

        <div class="panel panel-default" id="brainyUsagePanel">
            <div class="panel-heading">
                <h3 class="panel-title">{$LANG.cPanel.usageStats}</h3>
            </div>
            <div class="panel-body text-center brainy-usage-stats">

                <div class="row">
                    <div class="col-sm-5 col-sm-offset-1 col-xs-6" id="diskUsage">
                        <strong>{$LANG.cPanel.diskUsage}</strong>
                        <br /><br />
                        <input type="text" value="{$diskpercent|substr:0:-1}" class="usage-dial" data-fgColor="#444" data-angleOffset="-125" data-angleArc="250" data-min="0" data-max="{if substr($diskpercent, 0, -1) > 100}{$diskpercent|substr:0:-1}{else}100{/if}" data-readOnly="true" data-width="100" data-height="80" />
                        <br /><br />
                        {$diskusage} M / {$disklimit} M
                    </div>
                    <div class="col-sm-5 col-xs-6" id="bandwidthUsage">
                        <strong>{$LANG.cPanel.bandwidthUsage}</strong>
                        <br /><br />
                        <input type="text" value="{$bwpercent|substr:0:-1}" class="usage-dial" data-fgColor="#d9534f" data-angleOffset="-125" data-angleArc="250" data-min="0" data-max="{if substr($bwpercent, 0, -1) > 100}{$bwpercent|substr:0:-1}{else}100{/if}" data-readOnly="true" data-width="100" data-height="80" />
                        <br /><br />
                        {$bwusage} M / {$bwlimit} M
                    </div>
                </div>

                {if $bwpercent|substr:0:-1 > 75}
                    <div class="text-danger limit-near">
                        {if $bwpercent|substr:0:-1 > 100}
                            {$LANG.cPanel.usageStatsBwOverLimit}
                        {else}
                            {$LANG.cPanel.usageStatsBwLimitNear}
                        {/if}
                        {if $packagesupgrade}
                            <a href="upgrade.php?type=package&id={$serviceid}" class="btn btn-xs btn-danger">
                                <i class="fa fa-arrow-circle-up"></i>
                                {$LANG.cPanel.usageUpgradeNow}
                            </a>
                        {/if}
                    </div>
                {elseif $diskpercent|substr:0:-1 > 75}
                    <div class="text-danger limit-near">
                        {if $diskpercent|substr:0:-1 > 100}
                            {$LANG.cPanel.usageStatsDiskOverLimit}
                        {else}
                            {$LANG.cPanel.usageStatsDiskLimitNear}
                        {/if}
                        {if $packagesupgrade}
                            <a href="upgrade.php?type=package&id={$serviceid}" class="btn btn-xs btn-danger">
                                <i class="fa fa-arrow-circle-up"></i>
                                {$LANG.cPanel.usageUpgradeNow}
                            </a>
                        {/if}
                    </div>
                {else}
                    <div class="text-info limit-near">
                        {$LANG.cPanel.usageLastUpdated} {$lastupdate}
                    </div>
                {/if}

                <script src="{$BASE_PATH_JS}/jquery.knob.js"></script>
                <script type="text/javascript">
                jQuery(function() {
                    jQuery(".usage-dial").knob({
                        'format': function (value) {
                            return value + '%';
                        }
                    });
                });
                </script>

            </div>
        </div>

    </div>
*}

</div>


{if $systemStatus == 'Active'}
{else}
    <div class="alert alert-warning text-center" role="alert" id="brainySuspendReasonPanel">
        {if $suspendreason}
            <strong>{$suspendreason}</strong><br />
        {/if}
        {$LANG.cPanel.packageNotActive} {$status}.<br />
        {if $systemStatus eq "Pending"}
            {$LANG.cPanel.statusPendingNotice}
        {elseif $systemStatus eq "Suspended"}
            {$LANG.cPanel.statusSuspendedNotice}
        {/if}
    </div>
{/if}

<div class="panel panel-default" id="brainyBillingOverviewPanel">
    <div class="panel-heading">
        <h3 class="panel-title">{$LANG.cPanel.billingOverview}</h3>
    </div>
    <div class="panel-body">

        <div class="row">
            <div class="col-md-5">
                {if $firstpaymentamount neq $recurringamount}
                    <div class="row" id="firstPaymentAmount">
                        <div class="col-xs-6 text-right" >
                            {$LANG.firstpaymentamount}
                        </div>
                        <div class="col-xs-6">
                            {$firstpaymentamount}
                        </div>
                    </div>
                {/if}
                {if $billingcycle != $LANG.orderpaymenttermonetime && $billingcycle != $LANG.orderfree}
                    <div class="row" id="recurringAmount">
                        <div class="col-xs-6 text-right">
                            {$LANG.recurringamount}
                        </div>
                        <div class="col-xs-6">
                            {$recurringamount}
                        </div>
                    </div>
                {/if}
                <div class="row" id="billingCycle">
                    <div class="col-xs-6 text-right">
                        {$LANG.orderbillingcycle}
                    </div>
                    <div class="col-xs-6">
                        {$billingcycle}
                    </div>
                </div>
                <div class="row" id="paymentMethod">
                    <div class="col-xs-6 text-right">
                        {$LANG.orderpaymentmethod}
                    </div>
                    <div class="col-xs-6">
                        {$paymentmethod}
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row" id="registrationDate">
                    <div class="col-xs-6 col-md-5 text-right">
                        {$LANG.clientareahostingregdate}
                    </div>
                    <div class="col-xs-6 col-md-7">
                        {$regdate}
                    </div>
                </div>
                <div class="row" id="nextDueDate">
                    <div class="col-xs-6 col-md-5 text-right">
                        {$LANG.clientareahostingnextduedate}
                    </div>
                    <div class="col-xs-6 col-md-7">
                        {$nextduedate}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{if $domain || $moduleclientarea || $configurableoptions || $customfields || $lastupdate}
    <div class="row clearfix">
        <div class="col-xs-12">
            <ul class="nav nav-tabs nav-tabs-overflow">
                {if $domain}
                    <li class="active">
                        <a href="#domain" data-toggle="tab"><i class="fa fa-globe fa-fw"></i> {if $type eq "server"}{$LANG.sslserverinfo}{elseif ($type eq "hostingaccount" || $type eq "reselleraccount") && $serverdata}{$LANG.hostingInfo}{else}{$LANG.clientareahostingdomain}{/if}</a>
                    </li>
                {elseif $moduleclientarea}
                    <li class="active">
                        <a href="#manage" data-toggle="tab"><i class="fa fa-globe fa-fw"></i> {$LANG.manage}</a>
                    </li>
                {/if}
                {if $configurableoptions}
                    <li{if !$domain && !$moduleclientarea} class="active"{/if}>
                        <a href="#configoptions" data-toggle="tab"><i class="fa fa-cubes fa-fw"></i> {$LANG.orderconfigpackage}</a>
                    </li>
                {/if}
                {if $customfields}
                    <li{if !$domain && !$moduleclientarea && !$configurableoptions} class="active"{/if}>
                        <a href="#additionalinfo" data-toggle="tab"><i class="fa fa-info fa-fw"></i> {$LANG.additionalInfo}</a>
                    </li>
                {/if}
                {if $lastupdate}
                    <li{if !$domain && !$moduleclientarea && !$configurableoptions && !$customfields} class="active"{/if}>
                        <a href="#resourceusage" data-toggle="tab"><i class="fa fa-inbox fa-fw"></i> {$LANG.resourceUsage}</a>
                    </li>
                {/if}
            </ul>
        </div>
    </div>
    <div class="tab-content product-details-tab-container">

        {if $domain}
            <div class="tab-pane fade in active text-center" id="domain">
                {if $type eq "server"}
                    <div class="row">
                        <div class="col-sm-5 text-right">
                            <strong>{$LANG.serverhostname}</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            {$domain}
                        </div>
                    </div>
                    {if $dedicatedip}
                        <div class="row">
                            <div class="col-sm-5 text-right">
                                <strong>{$LANG.primaryIP}</strong>
                            </div>
                            <div class="col-sm-7 text-left">
                                {$dedicatedip}
                            </div>
                        </div>
                    {/if}
                    {if $assignedips}
                        <div class="row">
                            <div class="col-sm-5 text-right">
                                <strong>{$LANG.assignedIPs}</strong>
                            </div>
                            <div class="col-sm-7 text-left">
                                {$assignedips|nl2br}
                            </div>
                        </div>
                    {/if}
                    {if $ns1 || $ns2}
                        <div class="row">
                            <div class="col-sm-5 text-right">
                                <strong>{$LANG.domainnameservers}</strong>
                            </div>
                            <div class="col-sm-7 text-left">
                                {$ns1}<br />{$ns2}
                            </div>
                        </div>
                    {/if}
                {elseif ($type eq "hostingaccount" || $type eq "reselleraccount") && $serverdata}
                    {if $domain}
                        <div class="row">
                            <div class="col-sm-5 text-right">
                                <strong>{$LANG.orderdomain}</strong>
                            </div>
                            <div class="col-sm-7 text-left">
                                {$domain}&nbsp;<a href="http://{$domain}" target="_blank" class="btn btn-default btn-xs" >{$LANG.visitwebsite}</a>
                            </div>
                        </div>
                    {/if}
                    {if $username}
                        <div class="row">
                            <div class="col-sm-5 text-right">
                                <strong>{$LANG.serverusername}</strong>
                            </div>
                            <div class="col-sm-7 text-left">
                                {$username}
                            </div>
                        </div>
                    {/if}
                    <div class="row">
                        <div class="col-sm-5 text-right">
                            <strong>{$LANG.servername}</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            {$serverdata.hostname}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-5 text-right">
                            <strong>{$LANG.domainregisternsip}</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            {$serverdata.ipaddress}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-5 text-right">
                            <strong>Хост базы данных mysql</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            localhost
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-5 text-right">
                            <strong>Хост FTP (сервер FTP)</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            {$serverdata.hostname} или после привязки доменного имени {$domain}
                        </div>
                    </div>

                    {if $serverdata.nameserver1 || $serverdata.nameserver2 || $serverdata.nameserver3 || $serverdata.nameserver4 || $serverdata.nameserver5}
                        <div class="row">
                            <div class="col-sm-5 text-right">
                                <strong>{$LANG.domainnameservers}</strong>
                            </div>
                            <div class="col-sm-7 text-left">
                                {if $serverdata.nameserver1}{$serverdata.nameserver1} ({$serverdata.nameserver1ip})<br />{/if}
                                {if $serverdata.nameserver2}{$serverdata.nameserver2} ({$serverdata.nameserver2ip})<br />{/if}
                                {if $serverdata.nameserver3}{$serverdata.nameserver3} ({$serverdata.nameserver3ip})<br />{/if}
                                {if $serverdata.nameserver4}{$serverdata.nameserver4} ({$serverdata.nameserver4ip})<br />{/if}
                                {if $serverdata.nameserver5}{$serverdata.nameserver5} ({$serverdata.nameserver5ip})<br />{/if}
                            </div>
                        </div>
                    {/if}
                {else}
                    <p>
                        {$domain}
                    </p>
                    <p>
                        <a href="http://{$domain}" class="btn btn-default" target="_blank">{$LANG.visitwebsite}</a>
                        {if $domainId}
                            <a href="clientarea.php?action=domaindetails&id={$domainId}" class="btn btn-default" target="_blank">{$LANG.managedomain}</a>
                        {/if}
                        <input type="button" onclick="popupWindow('whois.php?domain={$domain}','whois',650,420);return false;" value="{$LANG.whoisinfo}" class="btn btn-default" />
                    </p>
                {/if}
                {if $moduleclientarea}
                    <div class="text-center module-client-area">
                        {$moduleclientarea}
                    </div>
                {/if}
            </div>
        {elseif $moduleclientarea}
            <div class="tab-pane fade{if !$domain} in active{/if} text-center" id="manage">
                {if $moduleclientarea}
                    <div class="text-center module-client-area">
                        {$moduleclientarea}
                    </div>
                {/if}
            </div>
        {/if}
        {if $configurableoptions}
            <div class="tab-pane fade{if !$domain && !$moduleclientarea} in active{/if} text-center" id="configoptions">
                {foreach from=$configurableoptions item=configoption}
                    <div class="row">
                        <div class="col-sm-5">
                            <strong>{$configoption.optionname}</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            {if $configoption.optiontype eq 3}{if $configoption.selectedqty}{$LANG.yes}{else}{$LANG.no}{/if}{elseif $configoption.optiontype eq 4}{$configoption.selectedqty} x {$configoption.selectedoption}{else}{$configoption.selectedoption}{/if}
                        </div>
                    </div>
                {/foreach}
            </div>
        {/if}
        {if $customfields}
            <div class="tab-pane fade{if !$domain && !$moduleclientarea && !$configurableoptions} in active{/if} text-center" id="additionalinfo">
                {foreach from=$customfields item=field}
                    <div class="row">
                        <div class="col-sm-5">
                            <strong>{$field.name}</strong>
                        </div>
                        <div class="col-sm-7 text-left">
                            {$field.value}
                        </div>
                    </div>
                {/foreach}
            </div>
        {/if}
        {if $lastupdate}
            <div class="tab-pane fade text-center" id="resourceusage">
                <div class="col-sm-10 col-sm-offset-1">
                    <div class="col-sm-6">
                        <h4>{$LANG.diskSpace}</h4>
                        <input type="text" value="{$diskpercent|substr:0:-1}" class="dial-usage" data-width="100" data-height="100" data-min="0" data-readOnly="true" />
                        <p>{$diskusage}MB / {$disklimit}MB</p>
                    </div>
                    <div class="col-sm-6">
                        <h4>{$LANG.bandwidth}</h4>
                        <input type="text" value="{$bwpercent|substr:0:-1}" class="dial-usage" data-width="100" data-height="100" data-min="0" data-readOnly="true" />
                        <p>{$bwusage}MB / {$bwlimit}MB</p>
                    </div>
                </div>
                <div class="clearfix">
                </div>
                <p class="text-muted">{$LANG.clientarealastupdated}: {$lastupdate}</p>

                <script src="{$BASE_PATH_JS}/jquery.knob.js"></script>
                <script type="text/javascript">
                    jQuery(function() {ldelim}
                        jQuery(".dial-usage").knob({ldelim}'format':function (v) {ldelim} alert(v); {rdelim}{rdelim});
                        {rdelim});
                </script>
            </div>
        {/if}
    </div>
{/if}